Skip to main content
POST

Authorizations

Authorization
string
header
required

Bearer authentication header on the format Bearer <API_KEY>.

Headers

Idempotency-Key
string<uuid>

Optional UUID v4 idempotency key. If you resend the same key with a different request body, the API returns a 409 error. Cached responses include the header X-Idempotency-Cached: true. Keys expire after 24 hours.

Path Parameters

id
string<uuid>
required

Customer's unique identifier.

Body

application/json
type
enum<string>
required

Associated party type. Must be INDIVIDUAL for UBO and REPRESENTATIVE roles.

Available options:
INDIVIDUAL
roles
enum<string>[]
required

Associated party roles. Can have multiple roles (e.g., both UBO and REPRESENTATIVE). UBO and REPRESENTATIVE must be INDIVIDUAL type.

Available options:
UBO,
SHAREHOLDER,
REPRESENTATIVE
name
string
required

Full name.

Example:

"Maria Santos"

birthDate
string<date>
required

Birth date (ISO 8601).

Example:

"1985-07-10"

email
string<email>
required

Email address.

Example:

"maria.santos@example.com"

taxId
string
required

Tax ID (CPF for Brazil).

Example:

"987.654.321-00"

address
object
required

Address information.

ownershipPercentage
number

Ownership percentage. Required for UBO and SHAREHOLDER roles (25-100%).

Required range: 25 <= x <= 100
Example:

40

parentId
string<uuid>

Parent associated party ID. Used for multi-level corporate structures, allowing you to nest shareholders across 2, 3, or more levels of ownership hierarchy.

Example:

"a1b2c3d4-e5f6-7890-abcd-ef1234567890"

Response

201 - application/json

Associated party successfully created.

id
string<uuid>

Associated party's unique identifier.

Example:

"a1b2c3d4-e5f6-7890-abcd-ef1234567890"

type
enum<string>
Available options:
INDIVIDUAL
roles
enum<string>[]
Available options:
UBO,
SHAREHOLDER,
REPRESENTATIVE
name
string
Example:

"Maria Santos"

taxId
string
Example:

"987.654.321-00"

birthDate
string<date>
Example:

"1985-07-10"

email
string<email>
Example:

"maria.santos@example.com"

address
object

Address information.

ownershipPercentage
number
Example:

40

parentId
string<uuid>

Parent associated party ID. Used for multi-level corporate structures, allowing you to nest shareholders across 2, 3, or more levels of ownership hierarchy.

verification
object

Customer's verification.

createdAt
string<date-time>
Example:

"2024-01-15T11:00:00Z"

updatedAt
string<date-time>
Example:

"2024-01-15T11:00:00Z"